﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;
using System.IO;
using System.Drawing.Drawing2D;

namespace PhotoViewer
{
    public partial class MainForm : Form
    {
        List<Photo> pList = new List<Photo>();
        public MainForm()
        {
            InitializeComponent();
        }
        private void exitToolStripMenuItem_Click(object sender, EventArgs e)
        {
            Application.Exit();
        }
        private void openToolStripMenuItem_Click(object sender, EventArgs e)
        {
            if (folderBrowserDialog1.ShowDialog() == DialogResult.OK)
            {
                // load new data
                try
                {
                    string[] files = Directory.GetFiles(folderBrowserDialog1.SelectedPath, "*.jpg");
                    ListViewItem[] listviewItem = new ListViewItem[files.Length];
                    for (int i = 0; i < files.Length; i++)
                    {
                        string name = Path.GetFileNameWithoutExtension(files[i]);  // get filename without extension
                        //System.Diagnostics.Trace.WriteLine("Debug: File=" + files[i]);
                        Photo p = new Photo(i, files[i], name);
                        pList.Add(p);
                        imageList1.Images.Add(p.PhotoImage);                // add all jpg files into the image list
                        imageList1.Images.SetKeyName(i, p.Filename);
                        listView1.Items.Add(p.ToListViewItem());
                    }
                }
                catch (Exception err)
                {
                    Console.WriteLine("Failed to retrieve files: {0}", err.ToString());
                }
            }
        }
        private void viewToolStripMenuItem_Click(object sender, EventArgs e)
        {
            DetailForm f = new DetailForm();
            f.Index = 0;
            f.PhotoList = pList;
            f.ShowDialog();
        }
    }
}
